Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent Struct Reference

Event: Firmware update on a device was started or has finished. More...

Inheritance diagram for peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent:

## Public Attributes
string | oldVersion
| Firmware version before update.
string | newVersion
| Firmware version to be updated to.
string | serial
| Serial number of device.
DeviceFirmwareUpdateState | state
| Update state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update on a device was started or has finished.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl